# Interface ITelemetryClient

All Known Implementing Classes:
  `NoopTelemetryClient`, `TelemetryClient`

public interface ITelemetryClient
Interface for telemetry clients that handle the export of telemetry events. The implementation further handles batching and flushing of telemetry events to the backend service.

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
Closes the telemetry client, releasing any resources it holds.
`void`
`exportEvent(TelemetryFrontendLog event)`
Exports a telemetry event to the backend service.

## Method Details

### exportEvent

void exportEvent(TelemetryFrontendLog event)
Exports a telemetry event to the backend service.

Parameters:
  `event` - The telemetry event to be exported.

### close

void close()
Closes the telemetry client, releasing any resources it holds. This method should be called on closure of connection or JVM shutdown.